"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.STATUS_MAP = exports.BARCODE_DEFAULT_WIDE = void 0;
var _types = require("./types.js");
const BARCODE_DEFAULT_WIDE = exports.BARCODE_DEFAULT_WIDE = {
  [_types.BarcodeType.Code128]: 1,
  [_types.BarcodeType.Code128M]: 1,
  [_types.BarcodeType.EAN128]: 1,
  [_types.BarcodeType.Interleaved2Of5]: 3,
  [_types.BarcodeType.Interleaved2Of5C]: 3,
  [_types.BarcodeType.Code39]: 3,
  [_types.BarcodeType.Code39C]: 3,
  [_types.BarcodeType.Code93]: 3,
  [_types.BarcodeType.EAN13]: 1,
  [_types.BarcodeType.EAN13Plus2]: 1,
  [_types.BarcodeType.EAN13Plus5]: 1,
  [_types.BarcodeType.EAN8]: 1,
  [_types.BarcodeType.EAN8Plus2]: 1,
  [_types.BarcodeType.EAN8Plus5]: 1,
  [_types.BarcodeType.Codabar]: 3,
  [_types.BarcodeType.Postnet]: 1,
  [_types.BarcodeType.UPCA]: 1,
  [_types.BarcodeType.UPCA2]: 1,
  [_types.BarcodeType.UPA5]: 1,
  [_types.BarcodeType.UPCE]: 1,
  [_types.BarcodeType.UPCE2]: 1,
  [_types.BarcodeType.UPE5]: 1,
  [_types.BarcodeType.CPOST]: 7,
  [_types.BarcodeType.MSI]: 3,
  [_types.BarcodeType.MSIC]: 3,
  [_types.BarcodeType.Plessey]: 3,
  [_types.BarcodeType.ITF14]: 3,
  [_types.BarcodeType.EAN14]: 1,
  [_types.BarcodeType.Code11]: 3
};
const STATUS_MAP = exports.STATUS_MAP = {
  '\x00': 'Normal',
  '\x01': 'Head opened',
  '\x02': 'Paper Jam',
  '\x03': 'Paper Jam and head opened',
  '\x04': 'Out of paper',
  '\x05': 'Out of paper and head opened',
  '\x08': 'Out of ribbon',
  '\x09': 'Out of ribbon and head opened',
  '\x0A': 'Out of ribbon and paper jam',
  '\x0B': 'Out of ribbon, paper jam and head opened',
  '\x0C': 'Out of ribbon and out of paper',
  '\x0D': 'Out of ribbon, out of paper and head opened',
  '\x10': 'Pause',
  '\x20': 'Printing',
  '\x80': 'Other error'
};
//# sourceMappingURL=constants.js.map