"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextAlignment = exports.SensorType = exports.QRCodeModel = exports.QRCodeMode = exports.QRCodeMask = exports.Font = exports.ConnectionType = exports.CodePage = exports.BarcodeType = void 0;
let ConnectionType = exports.ConnectionType = /*#__PURE__*/function (ConnectionType) {
  ConnectionType["USB"] = "usb";
  ConnectionType["NET"] = "net";
  ConnectionType["BLUETOOTH"] = "bluetooth";
  return ConnectionType;
}({});
let SensorType = exports.SensorType = /*#__PURE__*/function (SensorType) {
  SensorType[SensorType["Gap"] = 0] = "Gap";
  SensorType[SensorType["BlackLine"] = 1] = "BlackLine";
  return SensorType;
}({});
let CodePage = exports.CodePage = /*#__PURE__*/function (CodePage) {
  CodePage["USA"] = "USA";
  CodePage["BRI"] = "BRI";
  CodePage["GER"] = "GER";
  CodePage["FRE"] = "FRE";
  CodePage["DAN"] = "DAN";
  CodePage["ITA"] = "ITA";
  CodePage["SPA"] = "SPA";
  CodePage["SWE"] = "SWE";
  CodePage["SWI"] = "SWI";
  CodePage["CP437"] = "CP437";
  CodePage["CP737"] = "CP737";
  CodePage["CP850"] = "CP850";
  CodePage["CP851"] = "CP851";
  CodePage["CP852"] = "CP852";
  CodePage["CP855"] = "CP855";
  CodePage["CP857"] = "CP857";
  CodePage["CP860"] = "CP860";
  CodePage["CP861"] = "CP861";
  CodePage["CP862"] = "CP862";
  CodePage["CP863"] = "CP863";
  CodePage["CP864"] = "CP864";
  CodePage["CP865"] = "CP865";
  CodePage["CP866"] = "CP866";
  CodePage["CP869"] = "CP869";
  CodePage["CP1250"] = "CP1250";
  CodePage["CP1251"] = "CP1251";
  CodePage["CP1252"] = "CP1252";
  CodePage["CP1253"] = "CP1253";
  CodePage["CP1254"] = "CP1254";
  CodePage["CP1255"] = "CP1255";
  CodePage["CP1256"] = "CP1256";
  CodePage["CP1257"] = "CP1257";
  CodePage["CP1258"] = "CP1258";
  CodePage["CP932"] = "CP932";
  CodePage["CP936"] = "CP936";
  CodePage["CP949"] = "CP949";
  CodePage["CP950"] = "CP950";
  CodePage["UTF8"] = "UTF-8";
  CodePage["Latin1"] = "8859-1";
  CodePage["Latin2"] = "8859-2";
  CodePage["Latin3"] = "8859-3";
  CodePage["Baltic"] = "8859-4";
  CodePage["Cyrillic"] = "8859-5";
  CodePage["Arabic"] = "8859-6";
  CodePage["Greek"] = "8859-7";
  CodePage["Turkish"] = "8859-9";
  CodePage["Latin6"] = "8859-10";
  CodePage["Latin9"] = "8859-15";
  return CodePage;
}({});
let BarcodeType = exports.BarcodeType = /*#__PURE__*/function (BarcodeType) {
  BarcodeType["Code128"] = "128";
  BarcodeType["Code128M"] = "128M";
  BarcodeType["EAN128"] = "EAN128";
  BarcodeType["Interleaved2Of5"] = "25";
  BarcodeType["Interleaved2Of5C"] = "25C";
  BarcodeType["Code39"] = "39";
  BarcodeType["Code39C"] = "39C";
  BarcodeType["Code93"] = "93";
  BarcodeType["EAN13"] = "EAN13";
  BarcodeType["EAN13Plus2"] = "EAN13+2";
  BarcodeType["EAN13Plus5"] = "EAN13+5";
  BarcodeType["EAN8"] = "EAN8";
  BarcodeType["EAN8Plus2"] = "EAN8+2";
  BarcodeType["EAN8Plus5"] = "EAN8+5";
  BarcodeType["Codabar"] = "CODA";
  BarcodeType["Postnet"] = "POST";
  BarcodeType["UPCA"] = "UPCA";
  BarcodeType["UPCA2"] = "UPCA+2";
  BarcodeType["UPA5"] = "UPA+5";
  BarcodeType["UPCE"] = "UPCE";
  BarcodeType["UPCE2"] = "UPCE+2";
  BarcodeType["UPE5"] = "UPE+5";
  BarcodeType["MSI"] = "MSI";
  BarcodeType["MSIC"] = "MSIC";
  BarcodeType["Plessey"] = "PLESSEY";
  BarcodeType["CPOST"] = "CPOST";
  BarcodeType["ITF14"] = "ITF14";
  BarcodeType["EAN14"] = "EAN14";
  BarcodeType["Code11"] = "11";
  BarcodeType["Telepen"] = "TELEPEN";
  BarcodeType["TelepenN"] = "TELEPENN";
  BarcodeType["Planet"] = "PLANET";
  BarcodeType["Code49"] = "CODE49";
  BarcodeType["DPI"] = "DPI";
  BarcodeType["DPL"] = "DPL";
  BarcodeType["Logmars"] = "LOGMARS";
  return BarcodeType;
}({});
let Font = exports.Font = /*#__PURE__*/function (Font) {
  Font["MonotyeCG0"] = "0";
  Font["MonotyeCG1"] = "1";
  Font["MonotyeCG2"] = "2";
  Font["MonotyeCG3"] = "3";
  Font["MonotyeCG4"] = "4";
  Font["MonotyeCG5"] = "5";
  Font["MonotyeCG6"] = "6";
  Font["MonotyeCG7"] = "7";
  Font["MonotyeCG8"] = "8";
  Font["Roman"] = "ROMAN.TTF";
  Font["EPL1"] = "1.EFT";
  Font["EPL2"] = "2.EFT";
  Font["EPL3"] = "3.EFT";
  Font["EPL4"] = "4.EFT";
  Font["EPL5"] = "5.EFT";
  Font["ZPLA"] = "A.FNT";
  Font["ZPLB"] = "B.FNT";
  Font["ZPLD"] = "D.FNT";
  Font["ZPLE8"] = "E8.FNT";
  Font["ZPLF"] = "F.FNT";
  Font["ZPLG"] = "G.FNT";
  Font["ZPLH8"] = "H8.FNT";
  Font["ZPLGS"] = "GS.FNT";
  return Font;
}({});
let TextAlignment = exports.TextAlignment = /*#__PURE__*/function (TextAlignment) {
  TextAlignment[TextAlignment["Default"] = 0] = "Default";
  TextAlignment[TextAlignment["Left"] = 1] = "Left";
  TextAlignment[TextAlignment["Center"] = 2] = "Center";
  TextAlignment[TextAlignment["Right"] = 3] = "Right";
  return TextAlignment;
}({});
let QRCodeMode = exports.QRCodeMode = /*#__PURE__*/function (QRCodeMode) {
  QRCodeMode["Auto"] = "A";
  QRCodeMode["Manual"] = "M";
  return QRCodeMode;
}({});
let QRCodeModel = exports.QRCodeModel = /*#__PURE__*/function (QRCodeModel) {
  QRCodeModel["Model1"] = "M1";
  QRCodeModel["Model2"] = "M2";
  return QRCodeModel;
}({});
let QRCodeMask = exports.QRCodeMask = /*#__PURE__*/function (QRCodeMask) {
  QRCodeMask["S0"] = "S0";
  QRCodeMask["S1"] = "S1";
  QRCodeMask["S2"] = "S2";
  QRCodeMask["S3"] = "S3";
  QRCodeMask["S4"] = "S4";
  QRCodeMask["S5"] = "S5";
  QRCodeMask["S6"] = "S6";
  QRCodeMask["S7"] = "S7";
  return QRCodeMask;
}({});
//# sourceMappingURL=types.js.map