"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.quote = exports.buildCommand = void 0;
var _buffer = require("buffer");
const CRLF = _buffer.Buffer.from('\r\n');
const COMMA = _buffer.Buffer.from(',');
const buildCommand = (command, ...args) => {
  const buffers = [_buffer.Buffer.from(`${command} `)];
  args.forEach((arg, index) => {
    if (index > 0) {
      buffers.push(COMMA);
    }
    if (_buffer.Buffer.isBuffer(arg)) {
      buffers.push(arg);
    } else {
      buffers.push(_buffer.Buffer.from(String(arg)));
    }
  });
  buffers.push(CRLF);
  // @ts-ignore TS2345
  return _buffer.Buffer.concat(buffers);
};
exports.buildCommand = buildCommand;
const quote = str => {
  if (typeof str === 'string') {
    return _buffer.Buffer.from(`"${str.replace(/"/g, '""')}"`);
  }
  const quoteBuf = _buffer.Buffer.from('"');
  // @ts-ignore TS2345
  return _buffer.Buffer.concat([quoteBuf, str, quoteBuf]);
};
exports.quote = quote;
//# sourceMappingURL=utils.js.map