import { Buffer } from 'buffer';
import { EventEmitter } from 'tseep';
import type { Device } from './types';
export interface UsbDevice extends Device {
    vendorId?: number;
    productId?: number;
    serialNumber: string;
}
declare class UsbConnection extends EventEmitter {
    private _id;
    private _usbDeviceAttachedListener;
    private _usbDeviceDetachedListener;
    private _usbDeviceDataListener;
    static discover(timeout: number): Promise<UsbDevice[]>;
    private constructor();
    static connect(target: string): Promise<UsbConnection>;
    disconnect(): Promise<void>;
    send(data: Buffer): Promise<void>;
    read(): Promise<Buffer>;
}
export default UsbConnection;
//# sourceMappingURL=UsbConnection.d.ts.map